---
tags:
  - databases
---

# Relational database architecture

Tables, fields and records are the basic building blocks of databases

![](/img/FL-Databases-1.5_terminology.gif)

## Table

A group of similar data with rows for **records** and columns for each
**field**.

## Record

A horizontal row: a collection of items which may be of different data types all
relating to the individual or object that the record describes. A single _entry_
in the table. Sometimes called **row** interchangeably.

## Field

A vertical column: stores a single particular unit of data for each record. Each
field must use the same data type. Sometimes called **field** interchangeably.

Each individual field has **properties:** such as the data type, length or the
total memory allocation.
